Bug 7452 - Исчезновение буквы "я"
: Исчезновение буквы "я"
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/html2text)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-07-23 15:13 by
Modified: 2005-09-06 23:09 (History)


Attachments
Внесенные в спек изменения (1.87 KB, patch)
2005-09-06 23:03, Slava Semushin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-23 15:13:39
Программа text2html (1.3.2a-alt1) не отображает букву "я". Причем иммено 
букву "я" в нижнем регистре. Если она написана в верхнем регистре, то все 
нормально. Если это важно, то локаль у меня cp1251.


Кстати, я думаю, что стОит изменить Url на http://www.mbayer.de/html2text/
------- Comment #1 From 2005-07-23 15:16:32 -------
(In reply to comment #0)
Рассматривая их сайт, только что нашел в KNOWN BUGS:

%
4. The last char of Bulgarian alphabet with ASCII-code 255 is not displayed. 

Try using unsigned instead of char in reading by changing line 365 of the file 
urlistream.C so that it reads: 

int
urlistream::get()
{
  unsigned char ch;
  int ret = ::read(fd_, &ch, 1);
  return (ret > 0 ? ch : -1);
}
%

Вроде бы даже похоже на мой этот случай...
------- Comment #2 From 2005-07-23 15:21:34 -------
Не "похоже", а он и есть.
Непонятно только, почему бы им сразу не приложить это изменение.
------- Comment #3 From 2005-07-23 16:16:55 -------
(In reply to comment #2)
> Не "похоже", а он и есть.

В таком случае я за то, чтобы эти изменения были в пакете для АЛЬта.

> Непонятно только, почему бы им сразу не приложить это изменение.

:-/


------- Comment #4 From 2005-08-26 08:47:07 -------
Месяц уже прошел. Придется самому пакет пересобирать, видимо :(


/me расстроен
------- Comment #5 From 2005-08-30 00:37:35 -------
Спасибо, можете сделать NMU, я добавил вас в список.

Просьба, однако, предварительно проверить, что документация к пакету
postfix, ради которой пакет html2text был собран в Сизиф, не портится,
если её собрать с помощью вашей сборки html2text'а.
------- Comment #6 From 2005-09-06 23:00:16 -------
(In reply to comment #5)
> Просьба, однако, предварительно проверить, что документация к пакету
> postfix, ради которой пакет html2text был собран в Сизиф, не портится,
> если её собрать с помощью вашей сборки html2text'а.

Вот из-за этой просьбы я испугался и долго не решался проверить :)) Вообщем
сегодня у себя пересобрал postfix. Документация ничего не отличается (что
вообщем-то и не удивительно).

Только что залил в incoming/{Sisyphus,3.0-branch} html2text -alt1.1 Надеюсь, что
проблем она не вызовит, а лишь уменьшит их...

------- Comment #7 From 2005-09-06 23:03:17 -------
Created an attachment (id=1094) [details]
Внесенные в спек изменения

P.S. Также прикрепляю diff с изменениями в спеке.
------- Comment #8 From 2005-09-06 23:05:09 -------
Fixed! :)
------- Comment #9 From 2005-09-06 23:09:50 -------
Ну и раз уже я открывал, то, пожалуй, и закрою его, чтобы более не возвращаться
к нему...

P.S. 2ldv@ остались еще #7620 и #7298 положение которых в данный момент мне не
ясно.. может вы смогли бы сказать пару слов об их будущем?! :-)